Bug 650888 - GM965/GL960 Integrated Graphics Controller support fails
Summary: GM965/GL960 Integrated Graphics Controller support fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 14
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 09:41 UTC by Sameer Naik
Modified: 2018-04-11 11:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-04 00:20:35 UTC
Type: ---


Attachments (Terms of Use)
xorg.conf (69 bytes, text/plain)
2010-12-13 22:50 UTC, Donald Edward Winslow
no flags Details
xorg log (141.80 KB, text/plain)
2010-12-13 22:58 UTC, Donald Edward Winslow
no flags Details
output of dmesg (58.72 KB, text/plain)
2010-12-13 22:59 UTC, Donald Edward Winslow
no flags Details
/var/log/messages (2.37 MB, text/plain)
2010-12-13 23:04 UTC, Donald Edward Winslow
no flags Details

Description Sameer Naik 2010-11-08 09:41:22 UTC
I installed and updated Fedora 14 with the latest yum packages. My display controller "Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)" used to get detected and worked well in Fedora 13 and the previous versions.

Strangely, in Fedora 14 the display fails to start while starting X. The debug log states that the i810 driver is selected and further throws the message "No Screens Found", which is probably why X quits.

I also tried specifing the kernel parameter 'nomodeset', but with no success.

Specifying the "vesa" driver in the xorg.conf get the display working, but is really unusable as it seems to be slow and stuff.

Comment 1 Matěj Cepl 2010-12-08 00:12:01 UTC
(In reply to comment #0)
> Strangely, in Fedora 14 the display fails to start while starting X. The debug
> log states that the i810 driver is selected and further throws the message "No

that's weird ... we should never select i810 automatically if I am not mistaken.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Sameer Naik 2010-12-08 10:17:40 UTC
Hello,
I have uninstalled Fedora 14 a day after installing it. The display resolution issue was far too annoying. I reverted back to Fedora 13. 
Please allow me a day or two so that i can provide the requested information.

Comment 3 Matěj Cepl 2010-12-08 13:56:20 UTC
(In reply to comment #2)
> Hello,
> I have uninstalled Fedora 14 a day after installing it. The display resolution
> issue was far too annoying. I reverted back to Fedora 13. 
> Please allow me a day or two so that i can provide the requested information.

Certainly. You have at least month before I will be bother you again ;).

Comment 4 Donald Edward Winslow 2010-12-13 22:50:45 UTC
Created attachment 468493 [details]
xorg.conf

Comment 5 Donald Edward Winslow 2010-12-13 22:58:07 UTC
Created attachment 468495 [details]
xorg log

Comment 6 Donald Edward Winslow 2010-12-13 22:59:46 UTC
Created attachment 468497 [details]
output of dmesg

Comment 7 Donald Edward Winslow 2010-12-13 23:04:07 UTC
Created attachment 468498 [details]
/var/log/messages

Comment 8 Donald Edward Winslow 2010-12-13 23:05:10 UTC
I have a similar issue, so I attached the requested data.

Donald

Comment 9 Jacek Piskozub 2010-12-26 22:29:26 UTC
It's elementary, Watson ;-)

You need to remove nomodeset from your grub.conf.

And seriously this is a serious bug that fresh netinst installs of Fedora 14 add this parameter even when in Fedora 14 "for NVIDIA or Intel graphics adapters; using the nomodeset kernel parameter will result either in a non-functional display, or in the fallback vesa driver being used". 

The above is quoted after:
http://fedoraproject.org/wiki/Common_F14_bugs


I believe I solved this bug for you but as long as the F14 netinst CD image will be used people will fall into this trap. Compare for example bug 643740.

Comment 10 Sameer Naik 2011-01-08 05:01:19 UTC
The nomodeset kernel parameter was the issue for me as well. I had installed Fedora 14 the netinstall way. Now that i have removed the parameter, everything looks good. 

Thanks.

Comment 11 Jacek Piskozub 2011-01-08 09:15:53 UTC
Matej, I believe you can close the bug now. That is unless you think this is worth mentioning in Release Notes or on the Common Bugs page.

Comment 12 Donald Edward Winslow 2011-01-09 00:44:26 UTC
I installed from a DVD, but I ended up with nomodeset on the boot line and xorg.conf in /etc/X11. Not sure why.

Donald

Comment 13 Matěj Cepl 2011-01-13 23:10:23 UTC
I think the question remains you have got nomodeset in the first place, when it was actually harmful.

Passing to developers.

Comment 14 Adam Jackson 2012-01-04 00:20:35 UTC
Almost certainly because you selected 'boot with basic video' at install time.


Note You need to log in before you can comment on or make changes to this bug.